﻿namespace BPA.MES.Base.Application
{
    public class MsgPackage<T>
    {
        /// <summary>
        /// 消息ID
        /// </summary>
        public int MessageId { get; set; }

        /// <summary>
        /// 消息内容
        /// </summary>
        //[JsonProperty(TypeNameHandling = TypeNameHandling.Auto)]
        public T Message { get; set; }
        /// <summary>
        /// 消息长度
        /// </summary>
        public int MessageLen { get; set; }
        /// <summary>
        /// 消息版本
        /// </summary>
        public Version MsgVersion { get; set; } = new Version(1, 0, 0, 0);
    }
}
