import { Settings as LayoutSettings } from '@ant-design/pro-components';

/**
 * @name
 */
const Settings: LayoutSettings & {
  pwa?: boolean;
  logo?: string;
  title?:any
} = {
  navTheme: 'light',
  colorPrimary: '#1890ff',
  layout: 'mix',
  contentWidth: 'Fluid',
  fixedHeader: false,
  fixSiderbar: true,
  colorWeak: false,
  title: "吉香居中控管理系统",
  menu: {
    locale: false, // 禁用多语言功能
  },
  pwa: false,
  splitMenus:false,
 
  iconfontUrl: '',
};

export default Settings;
