﻿export default [
  { path: '/user', layout: false, routes: [{ path: '/user/login', component: './user/login' }] },
  { path: '/', icon: 'SmileOutlined', component: './welcome', name: '数据看板' },

  {
    icon: 'SettingOutlined',
    path: '/system',
    locale:false,
    name: '系统管理',
    routes: [
      { path: '/system/account', name: '账号管理', locale:false, component: './system/account' },
      { path: '/system/user', name: '人员管理', component: './system/user' },
      { path: '/system/role', name: '角色管理',locale:false, component: './system/role' },
      { path: '/system/module', name: '模块管理', locale:false,component: './system/module' },
      { path: '/system/authTemplate', name: '权限管理',locale:false, component: './system/authTemplate' },
    ],
  },
  {
    icon: 'SettingOutlined',
    path: '/model',
    locale:false,
    name: '工厂建模',
    routes: [
      { path: '/model/product', name: '产品', component: './template' },
      { path: '/model/material', name: '物料', component: './template' },
      { path: '/model/recipe', name: '配方管理', component: './template' },
    ],
  },
  {
    icon: 'SettingOutlined',
    path: '/turn',
    name: '生产管理',
    routes: [
      { path: '/turn/order', name: '产品', component: './template' },
      { path: '/turn/board', name: '物料', component: './template' },
      { path: '/turn/materialBom', name: '配方管理', component: './template' },
    ],
  },
  { path: '*', layout: false, component: './404' },
];
