﻿namespace BPA.MES.Base.Application.Services.Template
{
    /// <summary>
    /// 名    称 ：  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：  2023/7/31 18:04:53 
    /// 描    述 ：  
    /// </summary>
    public class TemplateDto
    {
        /// <summary>
        /// 名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 编码
        /// </summary>
        public string Code { get; set; }
        /// <summary>
        /// 描述
        /// </summary>
        public string Des { get; set; }
    }
    /// <summary>
    /// 增加
    /// </summary>
    public class TemplateAddInput: TemplateDto
    {

    }
    /// <summary>
    /// 修改
    /// </summary>
    public class TemplateUpdateInput : TemplateDto
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }
    /// <summary>
    /// 刪除
    /// </summary>
    public class TemplateDelInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }
    /// <summary>
    /// 普通查询条件
    /// </summary>
    public class TemplateQueryInput 
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }
    /// <summary>
    /// 分页查询条件
    /// </summary>
    public class TemplateQueryPageInput : RequestPage
    {
     
        /// <summary>
        /// 名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 编码
        /// </summary>
        public string Code { get; set; }
    }
    /// <summary>
    /// 输出
    /// </summary>
    public class TemplateOutput: TemplateDto
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
        //下面增加多的数据
    }
}
